#!/usr/bin/perl

$SiteUpVer = " (not configured)";
eval ('require "./config.pm";');
$cfgerror = $@;
require "./siteup.pm";
print qq{Expires: Mon, 06 May 1996 04:57:00 GMT\nContent-type: text/html\n\n
<html>
<head>
	<title>indexsoft Site-UP CMS v$SiteUpVer</title>
	<style type="text/css">
		body,p,input,td { font-size : 13px; color : Black; font-family : Arial, Helvetica, sans-serif; }
		H4 { color : #5588BB; font-size : 16px; }
		a { text-decoration : none; }
		a:hover { text-decoration : underline; }
	</style>
</head>};

# save and reload
if ($P{'act'} eq 'savecfgfile' and $P{'cfgfile'})
{
	open(FILE, '>config.pm');
	binmode('FILE');
	print FILE $P{'cfgfile'};
	close FILE;
	print qq{<body><SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
	<!--
		self.location = 'index.cgi';
	//-->
	</SCRIPT></body></html>};
	exit;
}

# cfgerror
if ($cfgerror or $P{'act'} eq 'editcfgfile')
{
	if (!-e 'config.pm' or -z 'config.pm')
	{
		$cfgfile = &CfgTemplate();
	}
	else
	{
		open(FILE, 'config.pm');
		binmode('FILE'); grep ($cfgfile .= $_, <FILE>); close FILE;
	}
	print qq{<body bgcolor="#FFFFFF"><h4>indexsoft Site-UP CMS configuration</h4><form action="index.cgi" method="post">}
	.(($cfgerror)
	?(&HoldError($cfgerror).qq{<p>Please check out <i>'config.pm'</i> configuration file and save it. In most cases the default values will work fine.})
	:('<p>Edit configuration file and save changes.</i>'))
	.qq{<input type="hidden" name="act" value="savecfgfile">
	<textarea cols="60" rows="20" name="cfgfile" wrap="off" style="width:100%">$cfgfile</textarea><br><br>
	<input type="submit" value="Save config.pm">
	</form></body></html>};
	exit;
}

# no cfgerror
if (!$cfgerror)
{
	print qq{<frameset cols="200,*" frameborder="1">
	    <frame src="menu.cgi" name="menu" frameborder="0" scrolling="Auto" marginwidth="10" marginheight="10" bordercolor="#FFFFFF">
	    <frame src="ls.cgi" name="ls" frameborder="0" scrolling="Auto" marginwidth="10" marginheight="10">
	</frameset>
	</html>};
	exit;
}

##############################################################################
sub CfgTemplate
{
	return q{# Root directory of you webserver. leave out trailing "\" or "/"
$DOCUMENT_ROOT = $ENV{'DOCUMENT_ROOT'};

# when create new files chmod them to this value
$CHMODFILES = '0666';

# when create new directories them it to this value
$CHMODDIRS = '0777';

# text files extensions. text editor will be used for this files
$TEXTFILES = 'txt,cgi,pl,pm,inc,php,css';

# html files extensions. html editor will be used for this files
$HTMLFILES = 'html,htm';

# template for new created files
$NEWFILETEMPLATE = q{
<html>
<head>
	<title>Untitled</title>
</head>
<body>


</body>
</html>};

1;
};
}